%define upstream_name	 Authen-SASL
%define upstream_version 2.16

%global __requires_exclude perl\\\(GSSAPI\\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    SASL Authentication framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC_MD5)
BuildArch:  noarch

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all protocols
should be able to share.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml SIGNATURE
%{_mandir}/*/*
%{perl_vendorlib}/Authen


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.160.0-8pclos2017
- rebuild against updates

